{ pkgs, fetchFromGithub, buildNpmPackage, symlinkJoin }:
let
  source = pkgs.{
  url = "https://registry.npmjs.org/@angular/language-server/-/language-server-15.1.0.tgz";
  sha256 = "0v35gf8bd50fbdp02kp87qsmlhixb6wjb62817jpivadh0hmidy4";
  };
  lock = ./angular-lock;
in
buildNpmPackage {
  src = symlinkJoin {
    name = "angular-lsp-source";
    paths = [ source lock ];
  };
  npmBuild = "npm run build";
}

